# Class Browsers

java.lang.Object
uk.ac.starlink.topcat.func.Browsers

public class Browsers extends Object
Displays URLs in web browsers.

Since:
  9 Jun 2005
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`static String`
`basicBrowser(String url)`
Displays a URL in a basic HTML viewer.
`static String`
`firefox(String url)`
Displays a URL in a Firefox web browser.
`static String`
`mozalike(String cmd, String url)`
Displays a URL in a web browser from the Mozilla family; it must support flags of the type "`-remote openURL(`url`)`".
`static String`
`mozilla(String url)`
Displays a URL in a Mozilla web browser.
`static String`
`netscape(String url)`
Displays a URL in a Netscape web browser.
`static String`
`systemBrowser(String url)`
Attempts to display a URL in the system's default web browser.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### basicBrowser

public static String basicBrowser(String url)
Displays a URL in a basic HTML viewer. This is only likely to work for HTML, text or RTF data. The browser can follow hyperlinks and has simple forward/back buttons, but lacks the sophistication of a proper WWW browser application.

Parameters:
  `url` - location of the document to display
Returns:
  short log message

### systemBrowser

public static String systemBrowser(String url)
Attempts to display a URL in the system's default web browser. Exactly what couts as the default web browser is system dependent, as is whether this function will work properly.

Parameters:
  `url` - location of the document to display
Returns:
  short log message

### mozilla

public static String mozilla(String url)
Displays a URL in a Mozilla web browser. Probably only works on Unix-like operating systems, and only if Mozilla is already running.

Parameters:
  `url` - location of the document to display
Returns:
  short log message

### firefox

public static String firefox(String url)
Displays a URL in a Firefox web browser. Probably only works on Unix-like operating systems, and only if Firefox is already running.

Parameters:
  `url` - location of the document to display
Returns:
  short log message

### netscape

public static String netscape(String url)
Displays a URL in a Netscape web browser. Probably only works on Unix-like operating systems, and only if Netscape is already running.

Parameters:
  `url` - location of the document to display
Returns:
  short log message

### mozalike

public static String mozalike(String cmd, String url)
Displays a URL in a web browser from the Mozilla family; it must support flags of the type "`-remote openURL(`url`)`". Probably only works on Unix-like operating systems, and only if the browser is already running.

Parameters:
  `cmd` - name or path of the browser command
  `url` - location of the document to display
Returns:
  short log message